## pppoe

pppoe — PPP-over-Ethernet Settings

## Properties

Table 71.

Key Name | Value Type | Default Value | Value Description
--- | --- | --- | ---

    name

    string

    pppoe

The setting's name, which uniquely identifies the setting within the connection. Each setting type has a name unique to that type, for example "ppp" or "wireless" or "wired".

    password

    string

Password used to authenticate with the PPPoE service.

    password-flags

    NMSettingSecretFlags (uint32)

Flags indicating how to handle the "password" property.

    service

    string

If specified, instruct PPPoE to only initiate sessions with access concentrators that provide the specified service. For most providers, this should be left blank. It is only required if there are multiple access concentrators or a specific service is known to be required.

    username

    string

Username used to authenticate with the PPPoE service.